Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


Version 11.0 not compatible with OS Big Sur?

New Here ,
Jul 25, 2021 Jul 25, 2021

Copy link to clipboard

Copied

When trying to open my Adobe Acrobat  XI ver 11.0 it says "The developer of this app needs to update it to work with this version of macOS. Contact the developer for more information." 

I have MacOS Big Sur ver 11.5 installed. Any ideas on how to solve this? 

 

 

TOPICS
General troubleshooting

Views

44

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 2 Correct answers

LEGEND , Jul 25, 2021 Jul 25, 2021
Catalina (came before Big Sur) was designed to have a big shake up so people who need to buy all new apps. Acrobat 11.0 has been obsolete 7 years now. The current products Acrobat DC (subscription ) and Acrobat 2000 (perpetual license - until Apple break it again, which I'd expect in about a year) are what you need. You left it too late for any kind of reduced price upgrade, sadly.

Likes

Translate

Translate
Adobe Community Professional , Jul 26, 2021 Jul 26, 2021
The only solution is to upgrade; there is no "fix" to your current version as it's an old 32-bit app. 32-bit apps will not run on anything Catalina and newer.

Likes

Translate

Translate
LEGEND ,
Jul 25, 2021 Jul 25, 2021

Copy link to clipboard

Copied

Catalina (came before Big Sur) was designed to have a big shake up so people who need to buy all new apps. Acrobat 11.0 has been obsolete 7 years now. The current products Acrobat DC (subscription ) and Acrobat 2000 (perpetual license - until Apple break it again, which I'd expect in about a year) are what you need. You left it too late for any kind of reduced price upgrade, sadly.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Jul 26, 2021 Jul 26, 2021

Copy link to clipboard

Copied

LATEST

*Acrobat 2020, of course

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Jul 26, 2021 Jul 26, 2021

Copy link to clipboard

Copied

The only solution is to upgrade; there is no "fix" to your current version as it's an old 32-bit app. 32-bit apps will not run on anything Catalina and newer.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines